/***********************************************************
 * $Id: HttpResourceResolver.java 945 2014-03-21 08:17:26Z util $
 * 
 * HTTP Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 17.02.2014
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.http;

import java.io.IOException;

/**
 * A resolver for {@link HttpResource} instances to
 * be delivered.
 */
public interface HttpResourceResolver {

    /**
     * @param finalPath A final resource path aith all alias processing applied,
     *            usually starting with a slash.
     * @param bufferSize A buffer size used for copy operations.
     * @return A resource to be delivered or <code>null</code>, if the resource
     *            could not be found.
     * @throws IOException 
     */
    public HttpResource resolveResource(String finalPath, int bufferSize) throws IOException;
}
