/***********************************************************
 * $Id: UrlParameterConsumer.java 943 2014-02-18 19:07:48Z util $
 * 
 * HTTP Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 18.02.2014
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.http;

/**
 * An interface for receiving parsed query parameters through
 * {@link UrlHelper}.
 */
public interface UrlParameterConsumer {

    /**
     * Propagate a parameter being met while parsing a query
     * string.
     * 
     * @param key The key of the parameter.
     * @param value The value or <code>null</code>, if the parameter does not
     *              have a value.
     * @return Whether the parser should end parsing right now.
     */
    public boolean addParameter(String key, String value);
}
