/***********************************************************
 * $Id: PageTokenService.java 945 2014-03-21 08:17:26Z util $
 * 
 * HTTP Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 17.02.2014
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.http.sec;

import javax.servlet.http.HttpServletRequest;

/**
 * A service, which provides counter-XSRF page tokens to be checked
 * by POST requests. 
 */
public interface PageTokenService {
    
    /**
     * Generate a new page token and attach it to the authentication session.
     */
    public String getPageToken(HttpServletRequest req);

    /**
     * Check a page token against the authentication session.
     */
    public boolean checkPageToken(HttpServletRequest req, String token);
}
